.ns-b2b :where(h1, h2, h3, h4, h5, h6, p, dl, dt, dd, ul, li) {
    margin: 0;
}

.ns-b2b :where(b, strong) {
    color: currentColor;
}

.ns-b2b {
    --ns-b2b-page-padding: 24px;

    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    max-width: 2560px;
    margin: 0 auto;
}

.ns-b2b .swiper {
    --swiper-pagination-bottom: 0;
    --swiper-pagination-progressbar-bg-color: #D9D9D9;
    --swiper-pagination-bullet-inactive-color: #D9D9D9;
    --swiper-pagination-bullet-inactive-opacity: 1;
    --swiper-theme-color: #DD3D40;
}

.ns-b2b__container {
    max-width: 1548px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--ns-b2b-page-padding);
    padding-right: var(--ns-b2b-page-padding);
}

.ns-b2b__wrapper-gray {
    background-color: #F9FAFB;
}

/* CONTAINER TITLE */
.ns-b2b__container-title {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    max-width: 840px;
    gap: 20px;
    align-items: center;
    text-align: center;
    margin: 0 auto;
}

.ns-b2b__container-title :where(h2, h3, h4, h5, h6) {
    font-weight: 700;
    font-size: 36px;
    line-height: 1.11;
    color: #101828;
}

.ns-b2b__container-title p {
    font-weight: 400;
    font-size: 18px;
    line-height: 1.56;
    color: #4a5565;
}



/* BANNER */
.ns-b2b__banner {
    display: block;
    width: 100%;
    padding: 140px 0;
    position: relative;
}

.ns-b2b__banner-bg {
    position: absolute;
    inset: 0;
    z-index: -1;
}

picture.ns-b2b__banner-bg,
.ns-b2b__banner-bg img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ns-b2b__banner-text {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    max-width: 1000px;
    gap: 20px;
}

.ns-b2b__banner-title {
    font-weight: 700;
    font-size: 82px;
    line-height: 1;
    color: #fff;
    text-transform: uppercase;
}

.ns-b2b__banner-title > span {
    font-weight: 900;
    color: #fff83a;
}

.ns-b2b__banner-description {
    font-weight: 400;
    font-size: 27px;
    line-height: 1.4;
    color: rgba(255,255,255, .9);
}



/* HERO */
.ns-b2b__hero {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 60px;
    padding-top: 60px;
    padding-bottom: 60px;
}

.ns-b2b__hero-info {
    display: block;
    width: 100%;
    min-width: 0;
}

.ns-b2b__hero-image {
    display: block;
    border-radius: 40px;
    max-width: 550px;
    width: 36.544%;
    height: auto;
}

.ns-b2b__hero-offer {
    display: block;
    max-width: 100%;
    margin: 45px 0;
}

.ns-b2b__hero-offer .swiper-pagination {
    display: none;
}

.ns-b2b__hero-offer-card {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 10px;
    background-color: #FFF5F5;
    border-radius: 10px;
    padding: 24px;
}

.ns-b2b__hero-offer-card-icon {
    flex-shrink: 0;
    display: block;
    width: 48px;
    height: 48px;
    object-fit: contain;
    margin: 0 0 6px;
}

.ns-b2b__hero-offer-card-title {
    font-weight: 700;
    font-size: 20px;
    line-height: 1.4;
    color: #101828;
}

.ns-b2b__hero-offer-card-description {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: #4a5565;
}

.ns-b2b__hero-special {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 4px;
    background-color: #FFCECE;
    border-radius: 14px;
    padding: 12px 155px 12px 24px;
    margin-bottom: 30px;
    position: relative;
    z-index: 1;
}

.ns-b2b__hero-special::before {
    content: '';
    display: block;
    width: auto;
    height: 125%;
    max-height: 171px;
    aspect-ratio: 194 / 171;
    background-image: url(./image/star-bg.png);
    background-repeat: no-repeat;
    background-position: right bottom;
    background-size: contain;
    position: absolute;
    right: -30px;
    bottom: -2px;
    z-index: -1;
}

.ns-b2b__hero-special-title {
    font-weight: 700;
    font-size: 27px;
    line-height: 1.33;
    color: #101828;
}

.ns-b2b__hero-special-description {
    font-weight: 400;
    font-size: 20px;
    line-height: 1.56;
    color: #1e2939;
}

.ns-b2b__hero-text {
    font-weight: 400;
    font-size: 18px;
    line-height: 1.56;
    color: #4a5565;
}

.ns-b2b__hero-tex::after {
    content: '';
    display: table;
    clear: both;
}

.ns-b2b__hero-text-image {
    display: none;
    width: 143px;
    height: 228px;
    border-radius: 10px;
    float: right;
    margin-left: 10px;
    object-fit: cover;
}

.ns-b2b__hero-text p:not(:last-child) {
    margin-bottom: 30px;
}



/* PROVIDE */
.ns-b2b__provide {
    padding-top: 60px;
    padding-bottom: 60px;
}

.ns-b2b__provide .ns-b2b__container-title {
    margin-bottom: 30px;
}

.ns-b2b__provide .ns-b2b__service {
    margin-bottom: 40px;
}

/* SERVICE */
.ns-b2b__service {
    overflow: visible !important;
    clip-path: inset(0 -10px -12px round 10px);
}

.ns-b2b__service:has(.swiper-pagination:not(.swiper-pagination-lock)) {
    padding-bottom: 16px;
}

.ns-b2b__service > .swiper-wrapper {
    align-items: stretch;
}

.ns-b2b__service > .swiper-pagination {
    width: 60px !important;
    left: 50% !important;
    top: auto !important;
    bottom: 0;
    transform: translateX(-50%);
    clip-path: inset(0 round 99px);
}

.ns-b2b__service-card {
    display: block;
    width: 357px;
    height: auto;
    border-radius: 10px;
    background-color: #fff;
    overflow: hidden;
    box-shadow:
            0 2px 4px -2px rgba(0,0,0, .1),
            0 4px 6px -1px rgba(0,0,0, .1);
}

.ns-b2b__service-card-image {
    display: block;
    width: 100%;
    height: 192px;
    object-fit: cover;
}

.ns-b2b__service-card-text {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 10px;
    padding: 24px;
}

.ns-b2b__service-card-icon {
    flex-shrink: 0;
    display: block;
    width: 48px;
    height: 48px;
    object-fit: contain;
    margin: 0 0 6px;
}

.ns-b2b__service-card-title {
    font-weight: 700;
    font-size: 20px;
    line-height: 1.4;
    color: #101828;
}

.ns-b2b__service-card-description {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: #4a5565;
}

/* PROVIDE SPECIAl */
.ns-b2b__provide-special {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 32px;
    background: linear-gradient(133deg, #e00e1a, #910a11);
    border-radius: 14px;
    padding: 48px;
}

.ns-b2b__provide-special-title {
    font-weight: 700;
    font-size: 30px;
    line-height: 1.2;
    text-align: center;
    color: #fff;
}

.ns-b2b__provide-special-list {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    gap: 24px;
    list-style: none !important;
}

.ns-b2b__provide-special-list > li {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
    width: 100%;
    height: auto;
    border-radius: 10px;
    background-color: rgba(255,255,255, .2);
    font-weight: 700;
    font-size: 14px;
    line-height: 1.43;
    text-align: center;
    color: #fff !important;
    padding: 16px;
}

.ns-b2b__provide-special-list > li::before {
    display: none !important;
}

.ns-b2b__provide-special-list > li > b {
    font-size: 18px;
    line-height: 1.56;
}



/* FEEDBACK */
.ns-b2b__feedback {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 116px;
    padding-top: 120px;
    padding-bottom: 120px;
}

.ns-b2b__feedback-image {
    display: block;
    width: 47.574%;
    max-width: 716px;
    height: auto;
    border-radius: 40px;
    object-fit: cover;
}

.ns-b2b__feedback-info {
    display: block;
    width: 100%;
    min-width: 0;
}

.ns-b2b__feedback-info > .ns-b2b__container-title {
    margin-bottom: 16px;
}

.ns-b2b__feedback-form {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 24px;
    width: 100%;
}

.ns-b2b__feedback-fields {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 24px;
}

.ns-b2b__feedback-fields-full {
    grid-column: 1 / -1;
}

.ns-b2b__feedback-footnote {
    text-align: center;
}

.ns-b2b__feedback-footnote a {
    color: #fa1010;
    text-decoration: none;
}

.ns-b2b__feedback-footnote a:hover {
    text-decoration: underline;
}


/* INPUT */
.ns-b2b__input {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 8px;
    width: 100%;

    /* IDIOT FIX */
    opacity: 1 !important;
    pointer-events: auto !important;
}

.ns-b2b__input-label {
    font-weight: 400;
    font-size: 14px;
    line-height: 1.43;
    color: #364153;
}

.ns-b2b__input-field {
    display: block;
    width: 100%;
    min-width: 0;
    border-radius: 10px !important;
    border: 1px solid #d1d5dc !important;
    background-color: #fff !important;
    font: inherit;
    font-weight: 400 !important;
    font-size: 16px !important;
    padding: 0 16px;
    line-height: normal !important;
    color: #0A0A0A !important;
}

input.ns-b2b__input-field {
    height: 50px;
}

textarea.ns-b2b__input-field {
    min-height: 120px;
    height: 120px;
    max-height: 250px;
    padding-top: 12px;
    padding-bottom: 12px;
    line-height: 1.5;
    overflow: hidden auto;
    resize: vertical;
}



/* CHECKBOX */
.ns-b2b__checkbox {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 12px;
    width: 100%;
}

.ns-b2b__checkbox input {
    display: none;
}

.ns-b2b__checkbox-switch {
    flex-shrink: 0;
    display: block;
    width: 36px;
    height: 20px;
    border-radius: 99px;
    background-color: #c3c7cb;
    position: relative;
    transition: background-color .3s ease;
    cursor: pointer;
}

.ns-b2b__checkbox-switch::before {
    content: '';
    display: block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: #fff;
    position: absolute;
    left: 2px;
    top: 2px;
    transition: left .3s ease;
}

.ns-b2b__checkbox input:checked + .ns-b2b__checkbox-switch {
    background-color: #e00e1a;
}

.ns-b2b__checkbox input:checked + .ns-b2b__checkbox-switch::before {
    left: calc(100% - 16px - 2px);
}

.ns-b2b__checkbox-text {
    font-weight: 500;
    font-size: 14px;
    line-height: 1.43;
}

.ns-b2b__checkbox-text a {
    color: #e00e1a;
    text-decoration: underline;
}

.ns-b2b__checkbox-text a:hover {
    color: #e00e1a;
    text-decoration: none;
}



/* BUTTON */
.ns-b2b__button {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    height: 56px;
    gap: 6px;
    border-radius: 10px;
    border: none !important;
    background-color: #e00e1a;
    color: #fff;
    font-weight: 700;
    font-size: 16px;
    line-height: 1.5;
    padding: 0 30px;
    transition: background-color .3s ease, color .3s ease;
    position: relative;
    cursor: pointer;
    user-select: none;
    text-decoration: none !important;
}

.ns-b2b__button.ns-b2b__button--full {
    width: 100%;
}

.ns-b2b__button:disabled {
    cursor: not-allowed;
    opacity: .5;
    pointer-events: none;
}

.ns-b2b__button:hover {
    background-color: #f01622;
    color: #fff;
}

.ns-b2b__button > svg {
    width: auto;
    height: 1.25em;
}

.ns-b2b__button.ns-b2b__button--white {
    background-color: #fff;
    color: #000;
}

.ns-b2b__button.ns-b2b__button--white:hover {
    background-color: #fff;
    color: #e00e1a;
}

.ns-b2b__button.ns-b2b__button--loading {
    opacity: 1 !important;
    pointer-events: none !important;
    color: transparent !important;
    transition: none !important;
}

.ns-b2b__button.ns-b2b__button--loading::before {
    content: '';
    display: block;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    border: 2px solid #fff;
    border-top-color: transparent;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    animation: ns-b2b__button-loading .6s linear infinite;
}



/* CONTACTS */
.ns-b2b__contacts {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    gap: 30px;
    padding-top: 85px;
    padding-bottom: 85px;
}

.ns-b2b__contacts-content {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    gap: 60px;
}

.ns-b2b__contacts-image {
    display: block;
    width: 52.358%;
    max-width: 788px;
    min-height: 532px;
    height: auto;
    max-height: 700px;
    border-radius: 40px;
    object-fit: cover;
}

.ns-b2b__contacts-info {
    display: block;
    width: 100%;
    min-width: 0;
}

.ns-b2b__contacts-info > .ns-b2b__container-title {
    margin-bottom: 20px;
}

.ns-b2b__contacts-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 21px 24px;
    list-style: none !important;
}

.ns-b2b__contacts-list-item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    height: auto;
    background-color: #fff;
    border-radius: 10px;
    text-align: center;
    padding: 24px;
    box-shadow:
            0 2px 4px -2px rgba(0,0,0, .1),
            0 4px 6px -1px rgba(0,0,0, .1);
}

.ns-b2b__contacts-list-item::before {
    display: none !important;
}

.ns-b2b__contacts-list-item-icon {
    display: block;
    width: 48px;
    height: 48px;
    object-fit: contain;
    margin-bottom: 14px;
}

.ns-b2b__contacts-list-item-title {
    font-weight: 700;
    font-size: 18px;
    line-height: 1.5;
    color: #101828;
    margin-bottom: 10px;
}

.ns-b2b__contacts-list-item-text {
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    color: #4A5565;
    margin-bottom: 4px;
}

a.ns-b2b__contacts-list-item-text {
    color: #fa1010;
    text-decoration: none;
}

a.ns-b2b__contacts-list-item-text:hover {
    text-decoration: underline;
}

.ns-b2b__contacts-list-item-footnote {
    font-weight: 400;
    font-size: 14px;
    line-height: 1.43;
    color: #6a7282;
}

.ns-b2b__contacts-feedback {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    background: linear-gradient(90deg, #d30d19, #a80b14);
    border-radius: 14px;
    padding: 32px;
    text-align: center;
}

.ns-b2b__contacts-feedback-title {
    font-weight: 700;
    font-size: 24px;
    line-height: 1.33;
    margin-bottom: 16px;
    color: #fff;
}

.ns-b2b__contacts-feedback-text {
    font-weight: 400;
    font-size: 18px;
    line-height: 1.56;
    margin-bottom: 24px;
    color: rgba(255,255,255, .9);
}



/* ADAPTIVE */
@media (min-width: 1920px) {
    .ns-b2b__service {
        clip-path: inset(0 calc(var(--ns-b2b-page-padding) * -1) -10px round 10px);
    }
}

@media (max-width: 1280px) {
    .ns-b2b__hero-image {
        display: none;
    }

    .ns-b2b__hero-text-image {
        display: inline-block;
    }

    .ns-b2b__feedback {
        gap: 60px;
    }
}

@media (max-width: 991px) {
    .ns-b2b {
        --ns-b2b-page-padding: 20px;
    }

    /* CONTAINER TITLE */
    .ns-b2b__container-title {
        max-width: 420px;
        gap: 12px;
    }

    .ns-b2b__container-title :where(h2, h3, h4, h5, h6) {
        font-size: 24px;
        line-height: 1.25;
    }

    .ns-b2b__container-title p {
        font-size: 15px;
        line-height: 1.57;
        padding: 0 35px;
    }



    /* BANNER */
    .ns-b2b__banner {
        height: 423px;
        padding: 20px 0;
    }

    picture.ns-b2b__banner-bg,
    .ns-b2b__banner-bg img {
        object-position: right bottom;
    }

    .ns-b2b__banner-text {
        max-width: 380px;
        gap: 7px;
    }

    .ns-b2b__banner-title {
        font-size: 32px;
        line-height: 1.11;
    }

    .ns-b2b__banner-description {
        font-size: 13px;
    }



    /* HERO */
    .ns-b2b__hero {
        padding-top: 32px;
        padding-bottom: 24px;
    }

    .ns-b2b__hero-offer {
        border-radius: 8px;
        margin: 34px 0;
    }

    .ns-b2b__hero-offer:has(.swiper-pagination:not(.swiper-pagination-lock)) {
        padding-bottom: 20px;
    }

    .ns-b2b__hero-offer .swiper-pagination {
        display: block;
    }

    .ns-b2b__hero-offer > .swiper-wrapper {
        align-items: stretch;
    }

    .ns-b2b__hero-offer-card {
        align-items: center;
        height: auto;
        gap: 6px;
        border-radius: 8px;
        text-align: center;
        padding: 20px 8px;
    }

    .ns-b2b__hero-offer-card-icon {
        width: 38px;
        height: 38px;
        margin-bottom: 0;
    }

    .ns-b2b__hero-offer-card-title {
        font-size: 15px;
        line-height: 1.4;
    }

    .ns-b2b__hero-offer-card-description {
        font-size: 12px;
        line-height: 1.5;
    }

    .ns-b2b__hero-special {
        gap: 10px;
        border-radius: 14px 67px 15px 14px;
        padding: 14px 97px 19px 16px;
        margin-right: 20px;
        margin-bottom: 24px;
    }

    .ns-b2b__hero-special::before {
        max-height: 115px;
        height: 125%;
        right: -35px;
        bottom: -1px;
    }

    .ns-b2b__hero-special-title {
        font-size: 13px;
        line-height: 1.33;
    }

    .ns-b2b__hero-special-description {
        font-size: 9px;
        line-height: 1.38;
    }

    .ns-b2b__hero-text {
        font-size: 12px;
    }

    .ns-b2b__hero-text p:not(:last-child) {
        margin-bottom: 0;
    }



    /* PROVIDE */
    .ns-b2b__provide {
        padding-top: 32px;
        padding-bottom: 32px;
    }

    .ns-b2b__provide .ns-b2b__container-title {
        margin-bottom: 32px;
    }

    .ns-b2b__provide .ns-b2b__service {
        margin-bottom: 32px;
    }

    /* SERVICE */
    .ns-b2b__service {
        clip-path: inset(0 calc(var(--ns-b2b-page-padding) * -1) -10px);
    }

    .ns-b2b__service-card {
        width: 210px;
        border-radius: 6px;
        box-shadow:
                0 1px 2px -1px rgba(0,0,0, .1),
                0 2px 4px -1px rgba(0,0,0, .1);
    }

    .ns-b2b__service-card-image {
        height: 112px;
    }

    .ns-b2b__service-card-text {
        gap: 6px;
        padding: 15px;
    }

    .ns-b2b__service-card-icon {
        width: 28px;
        height: 28px;
        margin: 0 0 2px;
    }

    .ns-b2b__service-card-title {
        font-size: 11px;
    }

    .ns-b2b__service-card-description {
        font-size: 9px;
    }

    /* PROVIDE SPECIAl */
    .ns-b2b__provide-special {
        border-radius: 14px;
        padding: 32px;
    }

    .ns-b2b__provide-special-title {
        font-size: 20px;
        line-height: 1.6;
    }

    .ns-b2b__provide-special-list {
        flex-direction: column;
        gap: 24px;
    }



    /* FEEDBACK */
    .ns-b2b__feedback {
        flex-direction: column;
        justify-content: flex-start;
        align-items: stretch;
        gap: 42px;
        padding-top: 42px;
        padding-bottom: 42px;
    }

    .ns-b2b__feedback-image {
        display: none;
    }

    .ns-b2b__feedback-info > .ns-b2b__container-title {
        margin-bottom: 16px;
    }

    .ns-b2b__feedback-form {
        gap: 25px;
    }

    .ns-b2b__feedback-fields {
        grid-template-columns: 1fr;
        gap: 25px;
    }



    /* CONTACTS */
    .ns-b2b__contacts {
        gap: 32px;
        padding-top: 32px;
        padding-bottom: 32px;
    }

    .ns-b2b__contacts-content {
        flex-direction: column;
        gap: 32px;
    }

    .ns-b2b__contacts-image {
        display: none;
    }

    .ns-b2b__contacts-info > .ns-b2b__container-title {
        margin-bottom: 32px;
    }

    .ns-b2b__contacts-list {
        gap: 10px;
    }

    .ns-b2b__contacts-list-item {
        border-radius: 7px;
        padding: 17px 8px;
        box-shadow:
                0 1px 3px -1px rgba(0,0,0, .1),
                0 3px 4px -1px rgba(0,0,0, .1);
    }

    .ns-b2b__contacts-list-item-icon {
        margin-bottom: 10px;
    }

    .ns-b2b__contacts-list-item-title {
        font-size: 13px;
        margin-bottom: 8px;
    }

    .ns-b2b__contacts-list-item-text {
        font-size: 11px;
        margin-bottom: 2px;
    }

    .ns-b2b__contacts-list-item-footnote {
        font-size: 10px;
    }

    .ns-b2b__contacts-feedback {
        background: linear-gradient(132deg, #fa1010, #910a11);
        padding: 30px 32px;
    }

    .ns-b2b__contacts-feedback-title {
        margin-bottom: 14px;
    }

    .ns-b2b__contacts-feedback-text {
        margin-bottom: 15px;
    }
}

@media (min-width: 992px) {
    .ns-b2b__hero-offer .swiper-wrapper {
        display: grid !important;
        grid-template-columns: repeat(2, 1fr);
        max-width: 100%;
        gap: 32px;
    }
}


/*  */
@keyframes ns-b2b__button-loading {
    to { transform: translate(-50%, -50%) rotate(1turn) }
}